    ld      f0, 32(r1)  ; get value from M into f0
    ld      f4, 24(r1)  ; get value from M into f4
    ld      f6, 16(r1)  ; get value from M into f6
    ld      f8, 8(r1)   ; get value from M into f8
    addd    f0, f0, f2  ; add to scalar in f2, result into f0
    addd    f4, f4, f2  ; add to scalar in f2, result into f4
    addd    f6, f6, f2  ; add to scalar in f2, result into f6
    addd    f8, f8, f2  ; add to scalar in f2, result into f8
    sd      32(r1), f0  ; store result back into M
    sd      24(r1), f4  ; store result back into M
    sd      16(r1), f6  ; store result back into M
    sd      8(r1), f8   ; store result back into M
    nop
    nop
    nop
    nop
    trap    #0
